# Uses of Interface
org.eclipse.emf.cdo.server.IRepositoryFactory

Packages that use IRepositoryFactory
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IRepositoryFactory in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement IRepositoryFactory
Modifier and Type
Class
Description
`class`
`RepositoryFactory`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IRepositoryFactory
Modifier and Type
Method
Description
`protected IRepositoryFactory`
RepositoryConfigurator.`getRepositoryFactory(String type)`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type IRepositoryFactory
Modifier and Type
Method
Description
`Map<String,IRepositoryFactory>`
RepositoryConfigurator.`getRepositoryFactories()`